# Role: nginx

## Description

Installs, configures and hardens nginx.

https://nginx.org/

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.nginx
  vars:
    ...
```

### Vars

`nginx_snippets`:

Snippets to install. List items contain fields:

  - 'name'
  - 'config'

`nginx_configs`:

Configs to install. List items contain fields:

  - 'name'
  - 'config'

`nginx_sites`:

Sites to install. List items contain fields:

  - 'name'
  - 'config'

`nginx_module_packages`:

Modules to install. List items are package names provided by the package manager.

`nginx_modules`:

Configs to install into modules-available (linked to modules-enabled). List items contain fields:

  - 'name'
  - 'config'
